import { ParseFn, ParserInput } from ".";
/**
 * Tries to parse an object. When object is present, provided `fn` is called with the object as first parameter.
 *
 * @param fn
 * @returns
 */
export default function withObject<T>(fn: (object: Record<string, ParserInput>) => T): ParseFn<T>;
//# sourceMappingURL=withObject.d.ts.map