"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
const index_1 = require("./index");
const anArrayContaining = (itemParser) => (x) => {
    if (util_1.isNil(x)) {
        throw new index_1.ParserError("Array", x);
    }
    if (Array.isArray(x)) {
        return x.map(itemParser);
    }
    throw new index_1.ParserError("Array", typeof x);
};
exports.default = anArrayContaining;
